> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# List keys

> List all Pix keys registered to an account. Returns an array of Pix key entries, each with its current status code (see KeyStatusEnum for values: -1=CANCELLED, 0=FINALIZED, 1=ACTIVE, etc.).




## OpenAPI

````yaml en/openapi/v3-current/pix.yaml GET /v1/entries
openapi: 3.0.3
info:
  title: Plugin BR Pix Direct - Complete API
  description: |
    Complete API for Brazilian Pix instant payment system including
    Pix key dictionary operations, QR code generation/decoding, transactions and
    transaction limits.
  version: 1.0.0
servers:
  - url: https://plugin-pix-direct.api.lerian.net
  - url: https://plugin-pix-direct-qrcode.api.lerian.net
security:
  - bearerAuth: []
paths:
  /v1/entries:
    get:
      tags:
        - Key DICT API
      summary: List keys
      description: >
        List all Pix keys registered to an account. Returns an array of Pix key
        entries, each with its current status code (see KeyStatusEnum for
        values: -1=CANCELLED, 0=FINALIZED, 1=ACTIVE, etc.).
      parameters:
        - $ref: '#/components/parameters/AccountIdQuery'
      responses:
        '200':
          description: Pix keys retrieved successfully
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PixKeyEntry'
              example:
                - key: '+5511987654321'
                  status: 1
                  statusDescription: ACTIVE
                  comment: status 1 = ACTIVE - phone key is active and operational
                - key: user@example.com
                  status: 1
                  statusDescription: ACTIVE
                  comment: status 1 = ACTIVE - email key is active and operational
                - key: '12345678901'
                  status: 0
                  statusDescription: FINALIZED
                  comment: status 0 = FINALIZED - CPF key pending confirmation
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  parameters:
    AccountIdQuery:
      name: account_id
      in: query
      required: false
      description: Account identifier.
      schema:
        type: string
        format: uuid
      example: 019c96a0-0a98-7287-9a31-786e0809c769
  schemas:
    PixKeyEntry:
      type: object
      required:
        - key
        - status
        - statusDescription
      properties:
        key:
          type: string
          description: Pix key value.
          example: '+5511987654321'
        status:
          $ref: '#/components/schemas/KeyStatusEnum'
        statusDescription:
          type: string
          description: >-
            Human-readable status description corresponding to the numeric
            status code.
          example: REGISTERED
    KeyStatusEnum:
      type: integer
      description: >
        Pix key registration status code. Indicates the current state of a Pix
        key in its lifecycle.


        **Valid values:**

        - `-1` = CANCELLED (Key registration was cancelled)

        - `0` = FINALIZED (Key is finalized/pending confirmation)

        - `1` = ACTIVE (Key is active and operational)

        - `2` = WAITING_OWNERSHIP_CONFIRMATION (Awaiting ownership confirmation
        from the user)

        - `3` = CREATING (Key is being created in the system)

        - `4` = IM_CLAIMER_PENDING_CONFIRM_CLAIM_REQUEST (I am claimer, pending
        claim confirmation)

        - `5` = IM_CLAIMER_PENDING_OWNER_GIVEWAY (I am claimer, awaiting current
        owner to release the key)

        - `6` = IM_OWNER_PENDING_GIVEAWAY_CONFIRM (I am owner, pending approval
        to transfer key)

        - `7` = IM_CLAIMER_AND_OWNER_GAVEAWAY_PENDING_MY_CONFIRM (Transfer
        initiated, awaiting my confirmation)
      enum:
        - -1
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
      x-enum-varnames:
        - CANCELLED
        - FINALIZED
        - ACTIVE
        - WAITING_OWNERSHIP_CONFIRMATION
        - CREATING
        - IM_CLAIMER_PENDING_CONFIRM_CLAIM_REQUEST
        - IM_CLAIMER_PENDING_OWNER_GIVEWAY
        - IM_OWNER_PENDING_GIVEAWAY_CONFIRM
        - IM_CLAIMER_AND_OWNER_GAVEAWAY_PENDING_MY_CONFIRM
      example: 1
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
          description: Error code
        message:
          type: string
          description: Error message
        details:
          type: array
          items:
            type: string
          description: Additional error details
  responses:
    Unauthorized:
      description: Unauthorized - Invalid or missing authentication
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            missing_token:
              summary: Missing authentication token
              value:
                code: MISSING_TOKEN
                message: Authorization header is required
                details: []
            invalid_token:
              summary: Invalid token
              value:
                code: INVALID_TOKEN
                message: Invalid or expired access token
                details: []
            expired_token:
              summary: Expired token
              value:
                code: TOKEN_EXPIRED
                message: Access token has expired. Please obtain a new token.
                details: []
    NotFound:
      description: Not Found - Resource does not exist
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            pix_key_not_found:
              summary: Pix key not found
              value:
                code: PIX_KEY_NOT_FOUND
                message: Pix key does not exist or is not registered
                details: []
            account_not_found:
              summary: Account not found
              value:
                code: ACCOUNT_NOT_FOUND
                message: Account with specified ID does not exist
                details: []
            transaction_not_found:
              summary: Transaction not found
              value:
                code: TRANSACTION_NOT_FOUND
                message: Transaction not found
                details: []
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            generic_error:
              summary: Generic internal error
              value:
                code: INTERNAL_ERROR
                message: An internal error occurred. Please try again later.
                details: []
            database_error:
              summary: Database error
              value:
                code: DATABASE_ERROR
                message: Database operation failed
                details: []
            external_service_error:
              summary: External service error
              value:
                code: EXTERNAL_SERVICE_ERROR
                message: External service (JD Pix) is temporarily unavailable
                details: []
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        JWT Bearer token authentication. Obtain token from
        `/v1/login/oauth/access_token` endpoint

        using client credentials (clientId and clientSecret).


        Include token in Authorization header:

        `Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...`


        Token expires after 3600 seconds (1 hour).

````